# common.py
#
import random, sarg

class Player :
    def __init__ (s, name, color, money=100.0) :
        s.name = name; s.color=color; s.money=money; s.hist=[money]

def flipCoin (player1, player2, winRate, lossRate) :
        heads = (random.random() >= .5)
        amt = min(player1.money, player2.money)
        if heads :
            player1.money += amt*winRate
            player2.money -= amt*winRate
        else :
            player1.money -= amt*lossRate
            player2.money += amt*lossRate
        return heads

def randomSeed() :
    seed = sarg.Int("seed",0)
    if seed == 0 :
        seed = int(random.random()*10000)  # choose a seed
        print("--- seed=%d !" % seed)
    random.seed(seed)
